'use strict'

Object.defineProperty(exports, '__esModule', {
  value: true
})

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key] } } } return target }

var _react = require('react')

var _react2 = _interopRequireDefault(_react)

var _rebass = require('rebass')

function _interopRequireDefault (obj) { return obj && obj.__esModule ? obj : { default: obj } }

function _objectWithoutProperties (obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i] } return target }

var Item = function Item (_ref) {
  var checkmark = _ref.checkmark

  var text = _ref.text
  return _react2.default.createElement(
    _rebass.Flex,
    { is: 'li', mt: [1, 3], alignItems: 'center', justifyContent: 'space-between' },
    _react2.default.createElement(
      _rebass.Lead,
      null,
      text
    ),
    _react2.default.createElement(
      _rebass.Box,
      { ml: [2, 5], fontSize: 3 },
      checkmark
    )
  )
}

var Checklist = function Checklist (_ref2) {
  var checkmark = _ref2.checkmark

  var children = _ref2.children

  var props = _objectWithoutProperties(_ref2, ['checkmark', 'children'])

  return _react2.default.createElement(
    _rebass.Box,
    _extends({ is: 'ul' }, props, { p: 0, style: { listStyle: 'none' } }),
    children.map(function (item, index) {
      return _react2.default.createElement(
        _react2.default.Fragment,
        { key: item },
        _react2.default.createElement(Item, { text: item, checkmark: checkmark }),
        index + 1 !== children.length && _react2.default.createElement(_rebass.Divider, null)
      )
    })
  )
}

Checklist.displayName = 'Checklist'
Checklist.defaultProps = {
  checkmark: '✅',
  children: []
}
exports.default = Checklist
