'use strict'

Object.defineProperty(exports, '__esModule', {
  value: true
})

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key] } } } return target }

var _react = require('react')

var _react2 = _interopRequireDefault(_react)

var _rebass = require('rebass')

function _interopRequireDefault (obj) { return obj && obj.__esModule ? obj : { default: obj } }

function _objectWithoutProperties (obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i] } return target }

var Feature = function Feature (_ref) {
  var _ref$icon = _ref.icon

  var icon = _ref$icon === undefined ? '🔥' : _ref$icon

  var feature = _ref.feature

  var description = _ref.description
  return _react2.default.createElement(
    _rebass.Box,
    { width: [1, 1 / 2, 1 / 3], my: [1, 2, 3], p: 3 },
    _react2.default.createElement(
      _rebass.Heading,
      { textAlign: 'center', mb: 3, fontSize: 5 },
      icon
    ),
    _react2.default.createElement(
      _rebass.Subhead,
      { textAlign: 'center', m: 3 },
      feature
    ),
    _react2.default.createElement(
      _rebass.Lead,
      { textAlign: 'center', style: { opacity: 3 / 4 } },
      description
    )
  )
}

var Features = function Features (_ref2) {
  var children = _ref2.children

  var props = _objectWithoutProperties(_ref2, ['children'])

  return _react2.default.createElement(
    _rebass.Flex,
    _extends({}, props, { flexWrap: 'wrap', justifyContent: 'center' }),
    children.map(function (feature) {
      return _react2.default.createElement(Feature, _extends({}, feature, { key: feature.feature }))
    })
  )
}

Features.displayName = 'Features'

exports.default = Features
