'use strict'

Object.defineProperty(exports, '__esModule', {
  value: true
})

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key] } } } return target }

var _react = require('react')

var _react2 = _interopRequireDefault(_react)

var _rebass = require('rebass')

function _interopRequireDefault (obj) { return obj && obj.__esModule ? obj : { default: obj } }

function _objectWithoutProperties (obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i] } return target }

var TeamMember = function TeamMember (_ref) {
  var photo = _ref.photo

  var fullName = _ref.fullName

  var title = _ref.title

  var _ref$links = _ref.links

  var links = _ref$links === undefined ? {} : _ref$links
  return _react2.default.createElement(
    _rebass.Flex,
    { width: [1, 1 / 2, 1 / 3], my: [1, 5], p: 3, flexDirection: 'column', alignItems: 'center' },
    _react2.default.createElement(_rebass.Avatar, { src: photo, size: 128 }),
    _react2.default.createElement(
      _rebass.Subhead,
      { textAlign: 'center', m: 3 },
      fullName
    ),
    _react2.default.createElement(
      _rebass.Lead,
      { textAlign: 'center', style: { opacity: 3 / 4 } },
      title
    ),
    _react2.default.createElement(
      _rebass.Flex,
      { justifyContent: 'space-around' },
      Object.keys(links).map(function (website) {
        return _react2.default.createElement(
          _rebass.ButtonOutline,
          {
            is: 'a', href: links[website], m: 3, key: website },
          website
        )
      })
    )
  )
}

var Team = function Team (_ref2) {
  var children = _ref2.children

  var props = _objectWithoutProperties(_ref2, ['children'])

  return _react2.default.createElement(
    _rebass.Flex,
    _extends({}, props, { flexWrap: 'wrap', justifyContent: 'center' }),
    children.map(function (member) {
      return _react2.default.createElement(TeamMember, _extends({}, member, { key: member.fullName }))
    })
  )
}

Team.displayName = 'Features'

exports.default = Team
